function dah(){Ffd.call(this)}
function W9g(a,b,d,e){lGd.call(this,a,b,d);this.a=e}
function sgh(a){var b;if(!a.k){b=new bah((z1i(Xde(a.a)),voj(Zde(a.a))));a.k=b}return a.k}
function rgh(a){var b;if(!a.j){b=new W9g(vFd(sce(a.a)),sgh(a),qgh(a),SLg(lde(a.a)));HFd((tce(a.a),b),EGd(tce(a.a)));a.j=b}return a.j}
function bah(){szf.call(this,W2b);this.a=new pAf(W2b,this);this.o="Provides translation services for physical sources, which can be integrated using a Teiid's VDB"}
w3c(4508,1011,Oyj,W9g);_.Ti=function(){};_.Yi=function(){this.A.Cr()};_.aj=function(){Yuf(this.a,this)};w3c(4511,2863,Rzj,bah);_.Bh=function(){return kzf(this)};_.zr=function(){return this.a};_.Ar=function(){return G6j};_.Er=function(){var a;a=new H$f(this.n);r1d(a,_Gj,m1d(jM(x2c,Hxj,263,[r1i(W0i(this.r,fBj),jM(W1c,Hxj,235,[])),r1i(W0i(this.r,aZj),jM(W1c,Hxj,235,[]))])));return a};_.Ir=function(){var a,b;b=new grg(5);s7c(b,new a3g,wIj);a=new dah;G7c(b,b.u.b,a,new Hfd(KZj));return b};w3c(4512,676,wyj,dah);_.qd=function(a){return a.jL()};w3c(4579,1,uzj);_.td=function(){dHd(this.b,rgh(this.a.a))};var M1b=bOd(4508),O1b=bOd(4511),N1b=bOd(4512);iAj(fp)(18);